# -*- coding: iso_8859_1 -*-

import numpy as np
import astro

#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- images ---
Folder = u"C:\\Documents and Settings\\Jrme\\Bureau\\08apr2011\\processing\\Hamburga\\"
Imagelist = ["Hamburga-calibrated-159.fit"]

#------------------------------------------------------------------------------------

im = astro.getdata(Folder, Imagelist)
headers = astro.getheaders(Folder, Imagelist)

astro.display(im)
print
print 'Specify boundaries of zone to be set to median image value'
xmin = np.float32(raw_input('x boundaries (vertical): xmin = '))
xmax = np.float32(raw_input('x boundaries (vertical): xmax = '))
ymin = np.float32(raw_input('y boundaries (horizontal): ymin = '))
ymax = np.float32(raw_input('y boundaries (horizontal): ymax = '))

med = astro.get_median(im)

im[xmin:xmax, ymin:ymax] = med

#------------------------------------------------------------------------------------
#	saving final image.fit
#------------------------------------------------------------------------------------
astro.save_fits(im, headers, Folder, ["Hamburga-calibrated-159(2).fit"])

raw_input("Press ENTER to close")