# -*- coding: iso_8859_1 -*-

import astro
import numpy as np

#------ input parameters ------
Folder = u"C:\\Documents and Settings\\Jrme\\Bureau\\29mar2011\\processing\\Chryseis\\"
Imagelist = ["Chryseis-calibrated-" + str(i+1) + ".fit" for i in range(1)]

image = astro.getdata(Folder, [Imagelist[0]])
filter = image*0.
filter[1,1]=0.5
filter[1,0]=0.5
filter[1,-1]=0.5
filter[0,1]=0.5
filter[0,0]=1.
filter[0,-1]=0.5
filter[-1,1]=0.5
filter[-1,0]=0.5
filter[-1,-1]=0.5
filter = filter / np.sum(filter.flatten())
im1 = np.fft.fft2(image)
im2 = np.fft.fft2(filter)
image2 = np.fft.ifft2(im1*np.ma.conjugate(im2))

astro.display(np.abs(im1),rel_range=[8000,40000])
astro.display(np.abs(im2),rel_range=[2,10])
astro.display(np.abs(image2))

astro.display(image)
	
raw_input()