# -*- coding: iso_8859_1 -*-

import astro
import numpy as np
import matplotlib.pyplot as plt

#-------------------------------------------------------------------------------------
#	Code calculating the statistics of a series of images
#-------------------------------------------------------------------------------------

Folder = u"C:\\Documents and Settings\\Jrme\\Bureau\\21apr2011\\sources\\Hamburga\\"
Imagelist = ["Hamburga-" + str(i+1) + ".fit" for i in range(233)]

#-------------------------------------------------------------------------------------
#loading images
mean = []
maxi = []
mini = []

for i in range(len(Imagelist)):
	images = astro.getdata(Folder, [Imagelist[i]])

	#calculating statistics
	mean.append(np.mean(images.flatten()))
	maxi.append(np.max(images.flatten()))
	mini.append(np.min(images.flatten()))
	
plt.ion()
plt.figure()
plt.plot(mean,label='Mean')
plt.plot(maxi,label='Max')
plt.plot(mini,label='Min')
plt.legend()
plt.grid()
plt.draw()
raw_input('Press Enter to close')